package com.goafanti.patent.bo;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputPatentInfo {
	
	
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	id;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	uid;

	@Max(value = 3, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	contacts;

	@Size(min = 0, max = 64, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	patentName;

	@Max(value = 9, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	patentCatagory;

	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	patentNumber;

	@Max(value = 19, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	patentField;

	@Size(min = 0, max = 128, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	patentDes;
    
	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	firstInventorName;
	
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	firstInventorNationality;
	
	@Size(min = 0, max = 18, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	firstInventorIdNumber;
    
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	firstInventorIsPublish;
	
	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	secondInventorName;
	
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	secondInventorNationality;
	
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	secondInventorIsPublish;
	
	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	thirdInventorName;
	
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	thirdInventorNationality;
	
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	thirdInventorIsPublish;
	
	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String patentProryStatementUrl;
	
	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String patentWritingUrl;
	
	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String authorizationNoticeUrl;
	
	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String patentCertificateUrl;
	
	@Max(value = 14, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		state;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		principal;
	
	@Size(min = 0, max = 128, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		comment;
	
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String office;
	
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String author;
	
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String salesman;
	
	public String getSalesman() {
		return salesman;
	}

	public void setSalesman(String salesman) {
		this.salesman = salesman;
	}

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getPrincipal() {
		return principal;
	}

	public void setPrincipal(String principal) {
		this.principal = principal;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Integer getContacts() {
		return contacts;
	}

	public void setContacts(Integer contacts) {
		this.contacts = contacts;
	}

	public String getPatentName() {
		return patentName;
	}

	public void setPatentName(String patentName) {
		this.patentName = patentName;
	}

	public Integer getPatentCatagory() {
		return patentCatagory;
	}

	public void setPatentCatagory(Integer patentCatagory) {
		this.patentCatagory = patentCatagory;
	}

	public String getPatentNumber() {
		return patentNumber;
	}

	public void setPatentNumber(String patentNumber) {
		this.patentNumber = patentNumber;
	}

	public Integer getPatentField() {
		return patentField;
	}

	public void setPatentField(Integer patentField) {
		this.patentField = patentField;
	}

	public String getPatentDes() {
		return patentDes;
	}

	public void setPatentDes(String patentDes) {
		this.patentDes = patentDes;
	}

	public String getFirstInventorName() {
		return firstInventorName;
	}

	public void setFirstInventorName(String firstInventorName) {
		this.firstInventorName = firstInventorName;
	}

	public String getFirstInventorNationality() {
		return firstInventorNationality;
	}

	public void setFirstInventorNationality(String firstInventorNationality) {
		this.firstInventorNationality = firstInventorNationality;
	}

	public String getFirstInventorIdNumber() {
		return firstInventorIdNumber;
	}

	public void setFirstInventorIdNumber(String firstInventorIdNumber) {
		this.firstInventorIdNumber = firstInventorIdNumber;
	}

	public Integer getFirstInventorIsPublish() {
		return firstInventorIsPublish;
	}

	public void setFirstInventorIsPublish(Integer firstInventorIsPublish) {
		this.firstInventorIsPublish = firstInventorIsPublish;
	}

	public String getSecondInventorName() {
		return secondInventorName;
	}

	public void setSecondInventorName(String secondInventorName) {
		this.secondInventorName = secondInventorName;
	}

	public String getSecondInventorNationality() {
		return secondInventorNationality;
	}

	public void setSecondInventorNationality(String secondInventorNationality) {
		this.secondInventorNationality = secondInventorNationality;
	}

	public Integer getSecondInventorIsPublish() {
		return secondInventorIsPublish;
	}

	public void setSecondInventorIsPublish(Integer secondInventorIsPublish) {
		this.secondInventorIsPublish = secondInventorIsPublish;
	}

	public String getThirdInventorName() {
		return thirdInventorName;
	}

	public void setThirdInventorName(String thirdInventorName) {
		this.thirdInventorName = thirdInventorName;
	}

	public String getThirdInventorNationality() {
		return thirdInventorNationality;
	}

	public void setThirdInventorNationality(String thirdInventorNationality) {
		this.thirdInventorNationality = thirdInventorNationality;
	}

	public Integer getThirdInventorIsPublish() {
		return thirdInventorIsPublish;
	}

	public void setThirdInventorIsPublish(Integer thirdInventorIsPublish) {
		this.thirdInventorIsPublish = thirdInventorIsPublish;
	}

	public String getPatentProryStatementUrl() {
		return patentProryStatementUrl;
	}

	public void setPatentProryStatementUrl(String patentProryStatementUrl) {
		this.patentProryStatementUrl = patentProryStatementUrl;
	}

	public String getPatentWritingUrl() {
		return patentWritingUrl;
	}

	public void setPatentWritingUrl(String patentWritingUrl) {
		this.patentWritingUrl = patentWritingUrl;
	}

	public String getAuthorizationNoticeUrl() {
		return authorizationNoticeUrl;
	}

	public void setAuthorizationNoticeUrl(String authorizationNoticeUrl) {
		this.authorizationNoticeUrl = authorizationNoticeUrl;
	}

	public String getPatentCertificateUrl() {
		return patentCertificateUrl;
	}

	public void setPatentCertificateUrl(String patentCertificateUrl) {
		this.patentCertificateUrl = patentCertificateUrl;
	}

	public String getOffice() {
		return office;
	}

	public void setOffice(String office) {
		this.office = office;
	}
	
	
	
}
